
package de.ivu.elect.presentation;

import javax.enterprise.context.RequestScoped;
import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.security.StartViewResolver;

/**
 * Konstrukt mit zwei StartViewResolvern notwendig, da Probelme beim Ableiten von @Named annotieren Beans...
 */
@RequestScoped
@Named(StartViewResolver.COMPONENT_NAME)
public class ElectStartViewResolver implements StartViewResolver {

  @Inject
  private transient ElectBaseStartViewResolver electBaseStartViewResolver;

  public ElectStartViewResolver() {
    super();
  }

  @Override
  public String getStartViewId() {
    return electBaseStartViewResolver.getStartViewId();
  }

  public String getStartViewIdAfterLogin() {
    return electBaseStartViewResolver.getStartViewIdAfterLogin();
  }
}
